This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 591418 - Review Request: R-timeSeries - Rmetrics - financial time series objects
Review Request: R-timeSeries - Rmetrics - financial time series objects
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On: 591415
Blocks: FE-Legal FE-DEADREVIEW 591421
  Show dependency treegraph
 
Reported: 2010-05-12 04:25 EDT by Sandro Mathys
Modified: 2011-06-14 10:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-14 10:09:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2010-05-12 04:25:18 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/R-timeSeries.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/R-timeSeries-2110.87-1.fc12.src.rpm
Description: 
Environment for teaching Financial Engineering and Computational Finance.

rpmlint {SPECS,SRPMS,RPMS/noarch}/R-timeSeries*
R-timeSeries.src: W: spelling-error Summary(en_US) Rmetrics -> Metrics, R metrics, Metricizes
R-timeSeries.noarch: W: spelling-error Summary(en_US) Rmetrics -> Metrics, R metrics, Metricizes
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

All warnings can be safely ignored.
Comment 2 Pierre-YvesChibon 2010-11-16 09:49:08 EST
Could you update to the last version ? I will do the review.
Comment 4 Pierre-YvesChibon 2010-11-19 10:33:37 EST
* Latest version packaged
f55a97164636213af4cca6c24573329af193af85  timeSeries_2130.90.tar.gz
f55a97164636213af4cca6c24573329af193af85  /home/pierrey/rpmbuild/SOURCES/timeSeries_2130.90.tar.gz
* sha1sum are equals
! Not all mandatory Requires are present, missing ['R-core']
* All required BuildRequires are present
* The macro %check is *not* present -- comment explains why
* There is 1 %dir
  %dir is OK
* There is 7 %doc -- all fine
* The rpm installed in _datadir
* The rpm uses %{_datadir} and is noarch
* The rpm seems to have the required element in %install
* Build properly under 2.6.34.7-61.fc13.x86_64
* rpmlint:
R-timeSeries.src: W: spelling-error Summary(en_US) Rmetrics -> Metrics, R metrics, Metricates
R-timeSeries.noarch: W: spelling-error Summary(en_US) Rmetrics -> Metrics, R metrics, Metricates
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
* Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2611275
   0 free  0 open  2 done  0 failed
   2611275 build (dist-f14, R-timeSeries-2130.90-1.fc14.src.rpm) completed successfully


* Build is clean
* rpmling output can be ignored
* License (GPLv2+) is compatible with Fedora 

You will have to change the "Require R" to "Requires R-core".

Discuting with spot and tibbs, there might be a license issue with the file TimeSeriesFAQ.pdf in the inst/doc folder.

Waiting for spot's approval before I can approve this package
Comment 5 Pierre-YvesChibon 2010-11-19 11:21:17 EST
There is the answer from spot:
"""
Red Hat legal agrees, as written, the license is non-free, but they doubt that was the intention. You might ask upstream to drop the "No warranty may be created or extended by sales representatives or written sales materials." line. 
"""

There is also a problem with the footer of the pdf which explicitly says:
"Please do not distribute"

Spot, tibbs and I would advice to ask upstream to remove this pdf from the package, you might also want to just rebuild a clean tarball without the pdf.
Comment 6 Sandro Mathys 2010-11-25 06:37:31 EST
I sent upstream an email today, requesting to either remove those clauses from the PDF or to remove the PDF from the release tarball. I was in contact with upstream regarding an issue with another package already a while ago and they are very friendly, but rather slow in reacting :)
Comment 7 Pierre-YvesChibon 2011-01-07 03:28:07 EST
Hi Sandro, happy new year !

Do we have any news on this issue ?
Comment 8 Pierre-YvesChibon 2011-01-19 09:07:12 EST
nothing ?
Comment 9 Pierre-YvesChibon 2011-06-14 10:09:40 EDT
There has been no news for 5 months now. I am therefore closing this review.

If you ever hear from upstream and want to finish the review please re-open it!

Note You need to log in before you can comment on or make changes to this bug.